local MAJOR = "LibScriptableDisplayPluginTable-1.0" 
local MINOR = 14

local PluginTable = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginTable then return end

local _G = _G

if not PluginTable.__index then
	PluginTable.__index = PluginTable
end

-- @name PluginTable:New
-- @usage RangeFinder:New(visitor, environment, name, config) -- 
-- @parma environment This will be the environment when loadstring is callled.
-- @return A new PluginTable object
function PluginTable:New(environment)
	
	local obj = {}

	environment.table = _G.table
	environment.setmetatable = _G.setmetatable
	environment.foreach = _G.foreach
	environment.foreachi = _G.foreachi
	environment.getn = _G.getn
	environment.ipairs = _G.ipairs
	environment.pairs = _G.pairs
	environment.sort = _G.sort
	environment.tContains = _G.tContains
	environment.tinsert = _G.tinsert
	environment.tremove = _G.tremove
	environment.wipe = _G.wipe
	
	return obj	
	
end
